.btn {
  .border(@radius: 20);

  &.small {
    font-size: 14px;
    font-weight: 300;
    letter-spacing: .5px;
    padding: 1px 5px;
  }

  &.medium {
    font-size: 14px;
    font-weight: 300;
    letter-spacing: .5px;
    padding: 3px 10px;
  }

  &.large {
    font-size: 15px;
    font-weight: 300;
    letter-spacing: .5px;
    padding: 6px 20px;
  }

}

.btn-primary,
.btn-black,
.btn-green,
.btn-white {
  font-weight: normal;
}

.btn-primary {

  background-color: @btn-primary;
  color: @white;
  border-color: @brnPrimaryBorder;
  //border-color: fade(@brnPrimaryBorder, 10%) fade(@brnPrimaryBorder, 10%) fade(@brnPrimaryBorder, 30%);
  //box-shadow: 0 1px 1px fade(@brnPrimaryBorder, 20%);

  &:hover,
  &:focus {
    .trans(@second: 0.2s);
    color: @white;
    background-color: fade(@btn-primary, 87%);
    border-color: fade(@btn-primary, 87%);
  }

  &.posts-next-button,
  &.tags-ranking-next-button {

    .loading-oval-button {
      display: none;
    }

    &.active {
      position: relative;
      padding-right: 35px;

      .loading-oval-button {
        display: inline-block;
      }

    }

  }

  &.follow-user {

    &.active {
      position: relative;
      background-color: transparent;
      border: 2px solid @btn-primary;
      color: @btn-primary;
      box-shadow: inset 0 0 0;
      font-weight: 500;
      padding-left: 35px;
      &:before {
        position: absolute;
        content:"\f058";
        font-family: FontAwesome;
        font-style: normal;
        font-weight: normal;
        font-size: 17px;
        left: 10px;
        top: 4px;
      }

    }
  }

}

.btn-red {

  background-color: @baseRed;
  color: @white;
  border-color: darken(@baseRed, 2%);

  &:hover,
  &:focus {
    .trans(@second: 0.2s);
    color: @white;
    background-color: fade(@baseRed, 87%);
    border-color: fade(@baseRed, 87%);
  }

  &.posts-next-button,
  &.tags-ranking-next-button {

    &.active {
      position: relative;
      padding-right: 35px;
    }

  }

  &.mute-user {

    &.active {
      position: relative;
      background-color: transparent;
      border: 2px solid @baseRed;
      color: @baseRed;
      box-shadow: inset 0 0 0;
      font-weight: 500;
      padding-left: 35px;
      &:before {
        position: absolute;
        content: "\f070";
        font-family: FontAwesome;
        font-style: normal;
        font-weight: normal;
        font-size: 17px;
        left: 10px;
        top: 4px;
      }

    }
  }

}

//@baseRed


.btn-primary2 {

  background-color: @btn-primary;
  border-color: fade(@brnPrimaryBorder, 10%) fade(@brnPrimaryBorder, 10%) fade(@brnPrimaryBorder, 30%);
  box-shadow: 0 1px 1px fade(@brnPrimaryBorder, 20%);

  &:hover,
  &:focus,
  &:active {
    .trans(@second: 0.2s);
    background-color: darken(@btn-primary, 3%);
    border-color: darken(@btn-primary, 3%);
    text-decoration: none;
  }

  &.btn-link {
    color: @white;
    border-color: fade(@white, 50%);
    margin-top: 6px;
    margin-right: 15px;
  }

  &.btn-login-page {
    width: 100%;
    height: 48px;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
  }

  &.btn-login-new-account {
    background-color: transparent;
    border-color: @btn-primary;
    box-shadow: none;
    color: @btn-primary;
    width: 100%;
    height: 48px;
    font-size: 16px;
    text-align: center;
    padding-top: 10px;

    &:hover,
    &:focus {
      .trans(@second: 0.2s);
      background-color: @white;
      border-color: @btn-primary;
      color: @btn-primary;
    }

  }

  &.arrowDown {
    position: relative;

    &:after {
      position: absolute;
      content: '';
      display: block;
      width: 10px;
      height: 10px;
      border-left: 10px solid transparent;
      border-right: 10px solid transparent;
      border-top: 8px solid @btn-primary;
      bottom: -8px;
    }

  }

}

.btn-blue,
.btn-body {
  &.hidden {
    display: none;
  }
}

.btn-blue {
  background-color: @blueBase;
  color: @white;
  border-color: @blueBase;

  &:hover,
  &:focus,
  &.active {
    .trans(@second: 0.2s);
    color: @white;
    background-color: lighten(@blueBase, 5%);
    box-shadow: 0 1px 6px 0 rgba(0, 0, 0, 0.3);
  }

  &.login {
    .border(@radius: 5);
    height: 48px;
    width: 100%;
    line-height: 36px;
    font-size: 16px;
    text-align: center;
    &:hover {
      box-shadow: none;
    }
  }

}

.btn-body {
  background-color: @bodyBackground;
  color: @text;
  border-color: @bodyBackground;

  &:hover,
  &:focus,
  &:active {
    .trans(@second: 0.2s);
    color: @text;
    background-color: @white;
  }

  &.more,
  &.less {
    position: relative;
    padding-right: 25px;
    &:after {
      font-family: FontAwesome;
      font-style: normal;
      font-weight: normal;
      text-decoration: inherit;
      position: absolute;
      color: @text;
      right: 11px;
      top: 0;
    }
  }
  &.more {
    &:after {
      content: "\f0dd";
    }
  }
  &.less {
    &:after {
      content: "\f0de";
      top: 5px;
    }
  }

}



.btn-white {
  background-color: @white;
  color: @blueBase;

  &.btn-login {
    margin-top: 6px;
    font-weight: 500;
  }

}

.btn-transparent {
  background-color: transparent;
  color: @btnTransparentBlue;
  border-color: @btnTransparentBlueBorder;
  box-shadow: 0 1px 1px fade(@btnTransparentBlueBorder, 20%);

  &:hover,
  &:focus,
  &:active {
    .trans(@second: 0.2s);
    background-color: lighten(@btnTransparentBlue, 50%);
    border-color: darken(@btnTransparentBlue, 3%);
  }

  &.btn-post {
    margin-right: 10px;
    margin-top: 9px;
    font-weight: 500;
  }

  &.account {
    .border(@radius: 5);
    border-color: @blueBase;
    color: @blueBase;
    margin-left: 0;
    box-shadow: none;
    height: 48px;
    width: 100%;
    line-height: 36px;
    font-size: 16px;
    font-weight: 300;
    text-align: center;
    &:hover {
      box-shadow: none;
    }
  }

}

.btn-orange {
  background-color: @btnOrangeBackground;
  color: @white;
  border-color: @btnOrangeBorder;
  box-shadow: 0 1px 1px fade(@btnTransparentBlueBorder, 20%);

  &:hover,
  &:focus,
  &:active {
    .trans(@second: 0.2s);
    background-color: lighten(@btnTransparentBlue, 50%);
    border-color: darken(@btnTransparentBlue, 3%);
  }

  &.btn-post {
    margin-right: 10px;
    margin-top: 9px;
    font-weight: 500;
  }

}

.btn-danger {
  background-color: @alert-red;
  color: @white;
  border-color: @alert-red;
  box-shadow: 0 1px 1px fade(@alert-red, 20%);

  &:hover,
  &:focus,
  &:active {
    .trans(@second: 0.2s);
    background-color: lighten(@alert-red, 5%);
    border-color: darken(@alert-red, 3%);
  }

  &.btn-post {
    margin-right: 10px;
    margin-top: 9px;
    font-weight: 500;
  }

}

.btn-black {

  background-color: @black;
  border-color: @black;
  color: @white;

  &:hover,
  &:focus {
    .trans(@second: 0.2s);
    color: @white;
    background-color: fade(@black, 87%);
    border-color: fade(@black, 87%);
  }

}

.btn-green {

  background-color: @greenBase;
  color: @white;
  //border-color: fade(@brnPrimaryBorder, 10%) fade(@brnPrimaryBorder, 10%) fade(@brnPrimaryBorder, 30%);
  //box-shadow: 0 1px 1px fade(@brnPrimaryBorder, 20%);

  &:hover,
  &:focus {
    .trans(@second: 0.2s);
    color: @white;
    background-color: fade(@greenBase, 87%);
    border-color: fade(@greenBase, 87%);
  }

}

.btn-header-menu {
  position: relative;
  background-color: transparent;
  border: 2px solid transparent;
  color: @white;
  margin-top: 9px;
  margin-right: 15px;

  &:first-child {
    margin-left: 10px;
  }

  &.tagActive {
    box-shadow: none;
    background-color: @baseColor;

    color: @white;
    &:hover {
      background-color: @baseColor;
      color: @white;
    }
  }

  &.add-content {
    float: right;
    border-color: @greenBase;
  }

  &:hover,
  &:focus,
  &.active {
    .trans(@second: 0.2s);
    color: @baseColorSeconds;
    box-shadow: none;
    border: 2px solid @baseColor;
  }
}

.btn-header-login {
  background-color: transparent;
  border: 2px solid @baseColor;
  color: @white;
  font-weight: 500 !important;

  &:hover,
  &:focus {
    .trans(@second: 0.2s);
    color: @white;
    background-color: fade(@greenBase, 87%);
    border-color: fade(@greenBase, 87%);
  }

}